html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

input {
  border-radius: 0;
}

.mapboxgl-marker path {
  fill: black;
}

#mapContainer {
  margin: 0 auto;
}

#map1,
#map2,
#overlay1,
#overlay2 {
  position: absolute;
  inset: 0;
}

.product-link-copy {
  justify-content: start;
}

.mapboxgl-ctrl-bottom-left,
.mapboxgl-ctrl-bottom-right {
  display: none;
}


#overlay2,
#overlay_container2 {
  z-index: 2;
}

#map1,
#map2 {
  transform-origin: top left;
}

#map1 {
  z-index: 1;
}

#map2 {
  z-index: 3;
}

#overlay1,
#overlay_container1 {
  z-index: 4;
}

@media screen and (max-width: 991px) {
  #mapContainer {
    margin: 60px auto 30px;
  }
}

#map canvas,
.map canvas {
  outline: none;
}

#map.map-locked,
.map.map-locked {
  pointer-events: none;
  opacity: 0.5;
}

/* ====================================== */

button.mapboxgl-ctrl-geocoder--button,
button.mapboxgl-ctrl-geocoder--button:hover {
  background-color: rgba(255, 255, 255, 0);
}

input.mapboxgl-ctrl-geocoder--input {
  font-size: 16px;
  font-weight: 400;
  border-bottom: 2px solid #c7c7c7;
  width: 100%;
}

.mapboxgl-ctrl-geocoder.mapboxgl-ctrl {
  background-color: rgba(255, 255, 255, 0);
  box-shadow: none;
  outline: none;
  border: 0;
  width: 100%;
  max-width: none;
}

input.mapboxgl-ctrl-geocoder--input:focus {
  outline: none;
}

input.mapboxgl-ctrl-geocoder--input:hover {
  outline: none;
  border-color: #000;
  box-shadow: none;
}

.icon-sample {
  background: white;
  position: absolute;
  top: 74px;
  right: 9px;
  border-radius: 5px;
}

#overlay,
.overlay_container,
.overlay_container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  border: none;
  opacity: 1;
}

.map-overlay {
  pointer-events: none;
}